Subject: Re: linux-next: microblaze tree build failure

From: Grant Likely <[email-masked]>
Date: Fri, 20 Nov 2009 13:23:39 -0700

On Thu, Nov 19, 2009 at 3:56 PM, Stephen Rothwell <[email-masked]> wrote:
> Hi Michal,
>
> Today's linux-next build (powerpc ppc64_defconfig) failed like this:
>
> arch/powerpc/platforms/built-in.o: In function `.ofdt_write':
> reconfig.c:(.text+0xca08): undefined reference to `.of_attach_node'
> arch/powerpc/platforms/built-in.o: In function `.do_device_node':
> vio.c:(.text+0x1be2c): undefined reference to `.of_attach_node'
>
> Caused by commit 5d0c1c076548e1f8d590a2f70f281b4eb7b3aeb2 ("Merge
> of_attach_node") which I have reverted for today.  That patch is missing
> an update to drivers/of/Makefile at least ... and probably some other
> stuff as well.

... and the OF changes shouldn't be going through the microblaze tree.
 This looks like it was an accident.  Michal?

g.

-- 
Grant Likely, B.Sc., P.Eng.
Secret Lab Technologies Ltd.